Bug 217652 - Fonts look much worse when using Mozilla rather than GtkHTML2
Fonts look much worse when using Mozilla rather than GtkHTML2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Marc Wiriadisastra
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 00:11 EST by vfiend
Modified: 2008-05-06 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Liferea fonts with Mozilla and GtkHTML2 compared (61.16 KB, image/png)
2006-11-29 00:11 EST, vfiend
no flags Details

  None (edit)
Description vfiend 2006-11-29 00:11:07 EST
Description of problem: When using GtkHTML2, the fonts look great and
well-integrated, using the same fonts used throughout the desktop environment.
When using Mozilla, the fonts look out of place and terrible in comparison. I'll
attack a comparison screenshot.
Comment 1 vfiend 2006-11-29 00:11:07 EST
Created attachment 142364 [details]
Liferea fonts with Mozilla and GtkHTML2 compared
Comment 2 Mark Knoop 2007-01-17 13:57:16 EST
Liferea uses a default mozilla profile located in ~/.liferea/mozilla/liferea/ .
Try adding something like this to the prefs.js in that directory.

user_pref("font.default.x-western", "sans-serif");
user_pref("font.name.monospace.x-western", "DejaVu LGC Sans Mono");
user_pref("font.name.sans-serif.x-western", "DejaVu LGC Sans");
user_pref("font.name.serif.x-western", "DejaVu LGC Serif");
Comment 3 vfiend 2007-01-18 15:28:23 EST
Thanks, looks a lot better even though the font size is a bit too large
Comment 4 Mark Knoop 2007-01-19 04:52:33 EST
There are config options for size also - have a look at about:config in Firefox
to see what's available. (Hint: filter for "font.size".)
Comment 5 vfiend 2007-01-21 00:48:05 EST
Ack, turns out I just need to do a View->Decrease Text Size, but thanks for all
your help, anyway.

Any reason this can't be made the default for new profiles in this package?
Comment 6 Bug Zapper 2008-04-04 01:00:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:58:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.